Subject: RE: Problem running Linux 2.6.11 on MPC8272ADS

From: Bastos Fernandez Alexandre <[email-masked]>
Date: Tue, 29 Mar 2005 08:29:50 +0200

Hi, 

>>From "linux/arch/ppc/platforms/pq2ads.h"
#define BCSR_ADDR ((uint) 0xf4500000)
>>From "u-boot/include/configs/MPC8260ADS.h"
#define CFG_BCSR 0xF4500000
So ...
Which version of u-boot and/or linux tree are you using?
With linuxppc-2.5 and u-boot 1.2 everything works fine for me.
Maybe Mike's problem is other. Maybe not. :-)

Best regards,
Alex

> -----Original Message-----
> From:	Walter L. Wimer III [SMTP:[email-masked]]
> Sent:	Monday, March 28, 2005 6:07 PM
> To:	Mike Rapoport
> Cc:	[email-masked]
> Subject:	Re: Problem running Linux 2.6.11 on MPC8272ADS
> 
> 
> Hi Mike,
> 
> I had the same "hang" experience.  The file arch/ppc/platforms/pq2ads.c
> contains the following function:
> 
>   void __init
>   m82xx_board_setup(void)
>   {
>   	/* Enable the 2nd UART port */
>   	*(volatile uint *)(BCSR_ADDR + 4) &= ~BCSR1_RS232_EN2;
>   }
> 
> 
> I had to ifdef-out the assignment statement above.  It appears that the
> definition for BCSR_ADDR in the kernel code differs from what U-Boot is
> using, and that area of memory isn't properly mapped into the kernel
> address space this early in the boot sequence.  As a result, I was
> getting an Oops() before the console was even enabled (I could see the
> Oops message by examining the kernel's printk log buffer using a
> BDI-2000 hardware debugger).
> 
> 
> 
> Good luck,
> 
> Walt Wimer
> TimeSys Corporation
> 
> 
> 
> 
> On Sun, 2005-03-27 at 11:31 +0200, Mike Rapoport wrote:
> > Hi,
> > I'm trying to bring up the Linux 2.6.11 on MPC8272ADS and it seem to 
> > hang up at the very beginning.
> > I use ads8272_defconfig and then enable console on SCC:
> > 
> > CONFIG_SERIAL_CPM=y
> > CONFIG_SERIAL_CPM_CONSOLE=y
> > CONFIG_SERIAL_CPM_SCC1=y
> > 
> > 
> > when I boot the kernel from the u-boot the system hangs up right after 
> > the kernel decompression.
> > 
> 
> _______________________________________________
> Linuxppc-embedded mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-embedded